DOMDocument::relaxNGValidate
DOMDocument::save
DOMDocument
PHP Manual

# DOMDocument::relaxNGValidateSource

(PHP 5)

DOMDocument::relaxNGValidateSource — Performs relaxNG validation on the document

### Description

bool DOMDocument::relaxNGValidateSource ( string `$source` )

Performs » relaxNG validation on the document based on the given RNG source.

### Parameters

`source`

  A string containing the RNG schema.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::relaxNGValidate - Performs relaxNG validation on the document
- DOMDocument::schemaValidate - Validates a document based on a schema
- DOMDocument::schemaValidateSource - Validates a document based on a schema
- DOMDocument::validate - Validates the document based on its DTD

DOMDocument::relaxNGValidate
DOMDocument::save
DOMDocument
PHP Manual